import { postJ, post, get } from "@/utils/request";
import Vue from "vue";

/**
 * 登录
 */
export async function login(data) {
  const res = await postJ(Vue.prototype.apiUrl + "/main/user/login", data);
  if (res.code == 0) {
    return res;
  }
  return Promise.reject(res.message);
}
/**
 * 获取用户信息
 */
export async function getLoginUser(data) {
  const res = await get(
    Vue.prototype.apiUrl + "/system/account/getLoginUser",
    data
  );
  if (res.code == 0) {
    return res.data;
  }
  return Promise.reject(res.message);
}

// 公司名称

export async function usName() {
	const data = await get(
		Vue.prototype.apiUrl + `/pda/mes/us/indexName`,
	);
  if (data.code == 0) {
    return data.data;
  }
  return Promise.reject(data.message);
}

// 工序列表
export async function producetaskList() {
	const data = await get(
		Vue.prototype.apiUrl + `/main/producetask/list`,
	);
  if (data.code == 0) {
    return data.data;
  }
  return Promise.reject(data.message);
}